﻿using System;
using System.Globalization;
using System.Threading;
using System.Windows.Data;

namespace ChartApp.Utils
{


  public class TicksToDateTimeConverter : IValueConverter
  {
    #region IValueConverter Members
    object IValueConverter.Convert(object value, Type targetType, object parameter, CultureInfo culture)
    {
      return new DateTime(Convert.ToInt64(value)).ToString(Thread.CurrentThread.CurrentCulture);
    }



    object IValueConverter.ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    {
      return ((DateTime)value).Ticks;
    }
    #endregion
  }
}
